Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class DescribeLaunchConfigurationsResult

    java.lang.Object
      com.amazonaws.services.autoscaling.model.DescribeLaunchConfigurationsResult

    public class DescribeLaunchConfigurationsResult

extends Object

Constructor Summary
`DescribeLaunchConfigurationsResult()`

Method Summary
`List<LaunchConfiguration>` | `getLaunchConfigurations()`
`String` | `getNextToken()` Constraints: Pattern: [ -??-??-?\r\n\t]*
`void` | `setLaunchConfigurations(Collection<LaunchConfiguration> launchConfigurations)`
`void` | `setNextToken(String nextToken)` Constraints: Pattern: [ -??-??-?\r\n\t]*
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeLaunchConfigurationsResult` | `withLaunchConfigurations(Collection<LaunchConfiguration> launchConfigurations)` Returns a reference to this object so that method calls can be chained together.
`DescribeLaunchConfigurationsResult` | `withLaunchConfigurations(LaunchConfiguration... launchConfigurations)` Returns a reference to this object so that method calls can be chained together.
`DescribeLaunchConfigurationsResult` | `withNextToken(String nextToken)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeLaunchConfigurationsResult

    public DescribeLaunchConfigurationsResult()

Method Detail

### getLaunchConfigurations

    public List<LaunchConfiguration> getLaunchConfigurations()

  Returns:

### setLaunchConfigurations

    public void setLaunchConfigurations(Collection<LaunchConfiguration> launchConfigurations)

  Parameters:
    `launchConfigurations` -

### withLaunchConfigurations

    public DescribeLaunchConfigurationsResult withLaunchConfigurations(LaunchConfiguration... launchConfigurations)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `launchConfigurations` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLaunchConfigurations

    public DescribeLaunchConfigurationsResult withLaunchConfigurations(Collection<LaunchConfiguration> launchConfigurations)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `launchConfigurations` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getNextToken

    public String getNextToken()

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Returns:

### setNextToken

    public void setNextToken(String nextToken)

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `nextToken` -

### withNextToken

    public DescribeLaunchConfigurationsResult withNextToken(String nextToken)

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `nextToken` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.